#!ntsh

# New Technology Setup
# by Martin Waitz

# this file is executed when ntsh starts up the first time

# verify that all files are present
if ( not exist ntshrc.cfg ) then
	echo "ntsh setup: could not find configuration file!"
	goto Error
endif

# start setup
echo " _____________________________________________________________"
echo "(o Installing $V..."
echo
echo "   Copyright (c) 1997 by Martin Waitz"
echo "   http://ntsh.home.pages.de"
echo

echo registering ShellLink...
RegSvr32 /s /c $(SysDir)/ShellLink.ocx

echo Setting up defaults...
set !Startup=$P/ntshrc.cfg
# used global links (write to global config)
set !HKCR@                               '#0x80000000'  # HKEY_CLASSES_ROOT
set !HKLM@                               '#0x80000002'  # HKEY_LOCAL_MACHINE
set !HKUS@                               '#0x80000003'  # HKEY_USERS
# defaults for ls:
set !HKCR/*/Directory/AnsiColor          '36'
set !HKCR/*/Directory/CharSymbol         '/'
set !HKCR/*/Directory/AlwaysShowExt      ''
#set !HKCR/*/Directory/CommandLine       'cd %0'
#set !HKCR/*/Directory/CommandLineLinked 'cd %0'
set !HKCR/*/Hidden/AnsiColor             '1;30'
set !HKCR/*/System/AnsiColor             '1;30'
# some special file types:
set !HKCR/exefile/AnsiColor              '1;31'
set !HKCR/exefile/CharSymbol             '*'
set !HKCR/lnkfile/AnsiColor              '35'
set !HKCR/lnkfile/CharSymbol             '@'
#set !HKCR/lnkfile/CommandLine           'openlink %0'
set !HKCR/WinZip/AnsiColor               '31'

echo Done.
echo

# read the real startup file
source $(Startup)
goto Startup

Error:
echo
echo "Error: exiting installation, using defaults."

Startup:
